[git] gnupg-doc - branch, master, updated. bc82196b76af5148fd8ddc5c90ce0fdbf9080020
by Werner Koch
cvs at cvs.gnupg.org
Fri Mar 4 12:33:42 CET 2016
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".
The branch, master has been updated
via bc82196b76af5148fd8ddc5c90ce0fdbf9080020 (commit)
from dd18760a714b2b75ddbd7e4ebdcfce8cc3822424 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit bc82196b76af5148fd8ddc5c90ce0fdbf9080020
Author: Werner Koch <wk at gnupg.org>
Date: Fri Mar 4 12:25:07 2016 +0100
tools: Make append-to-donors IDN aware
diff --git a/tools/append-to-donors.sh b/tools/append-to-donors.sh
index 60ca80c..6ce4e6b 100755
--- a/tools/append-to-donors.sh
+++ b/tools/append-to-donors.sh
@@ -6,6 +6,10 @@
pgm="append-to-donors.sh"
set -e
+# We temporary need the next line due to an libgpg-error update
+LD_LIBRARY_PATH=/usr/local/lib
+export LD_LIBRARY_PATH
+
PATH=/usr/local/bin:$PATH
SENDMAIL="/usr/sbin/sendmail"
LC_ALL=C
@@ -26,6 +30,17 @@ if [ ! -f "$donors" ]; then
exit 1
fi
+if [ x"$(idn --quiet wk at gnupg.org)" != x"wk at gnupg.org" ]; then
+ echo "$pgm: idn(1) tool not installed or not working"
+ exit 1
+fi
+if [ x"$(mu-tool 2047 -c utf-8 '<wk at gnupg.org>')" \
+ != x"=?utf-8?Q?<wk at gnupg.org>?=" ]; then
+ echo "$pgm: mu-tool(1) tool not installed or not working"
+ exit 1
+fi
+
+
if ! lockfile -l 7200 -r 2 $LOCKFILE; then
echo "$pgm: another instance is still running"
exit 0
@@ -59,9 +74,15 @@ send_thanks () {
ineuro=" (about $(echo $euro| awk '{print int($0 + 0.5)}') EUR)"
fi
xamount="$(echo $amount| awk '{print int($0 + 0.5)}')"
+ if [ -n "$xmail" ]; then
+ xidnmail=$(CHARSET=UTF-8 idn --no-tld --quiet "$xmail")
+ else
+ xidnmail=""
+ fi
+ xqpmail=$(mu-tool 2047 -c utf-8 "$xmail")
( cat <<EOF
From: donations at gnupg.org
-To: $xmail
+To: $xqpmail
Subject: Thank you for supporting GnuPG
Date: $RFCDATE
Mime-Version: 1.0
@@ -81,14 +102,14 @@ Thank you.
$SIGDELIM
GnuPG - helping to keep private data private
EOF
- ) | $SENDMAIL -oi donations at gnupg.org "$xmail"
+ ) | $SENDMAIL -oi donations at gnupg.org "$xidnmail"
if [ -n "$message" ]; then
( cat <<EOF
From: donations at gnupg.org
To: donations at gnupg.org
-Reply-To: $xmail
+Reply-To: $xqpmail
Subject: Message from GnuPG donor
Date: $RFCDATE
Mime-Version: 1.0
-----------------------------------------------------------------------
Summary of changes:
tools/append-to-donors.sh | 27 ++++++++++++++++++++++++---
1 file changed, 24 insertions(+), 3 deletions(-)
hooks/post-receive
--
The GnuPG website and other docs
http://git.gnupg.org
More information about the Gnupg-commits
mailing list